Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.caff.maze
Class MazePropertyOwner

    java.lang.Object
      de.caff.maze.MazePropertyOwner

Direct Known Subclasses:
  AbstractBasicMaze, MazePaintProperties

    public abstract class MazePropertyOwner

extends java.lang.Object

Something which knows about maze properties.

Nested Class Summary
`protected static class` | `MazePropertyOwner.BooleanPropertyInformation` A boolean property and its setters.
`protected static class` | `MazePropertyOwner.EnumPropertyInformation` An enumerated property and its setters.
`protected static class` | `MazePropertyOwner.InfoPropertyDisplay` Display of a purely informational property.
`protected static class` | `MazePropertyOwner.IntegerPropertyInformation` An integer property and its setters.
`protected static class` | `MazePropertyOwner.PaintPropertyInformation` A color property and its setters.

Constructor Summary
`MazePropertyOwner()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Add a property change listener.
`protected void` | `firePropertyChange(java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue)` Fire property changes in the event dispatch thread.
`abstract java.util.Collection<PropertyInformation>` | `getPropertyInformations()` Get the property informations.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Remove a property change listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MazePropertyOwner

    public MazePropertyOwner()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Add a property change listener.

  Parameters:
    `listener` - listener to add

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Remove a property change listener.

  Parameters:
    `listener` - listener to remove

### firePropertyChange

    protected void firePropertyChange(java.lang.String propertyName,
                                      java.lang.Object oldValue,
                                      java.lang.Object newValue)

  Fire property changes in the event dispatch thread.

  Parameters:
    `propertyName` - name of change property
    `oldValue` - previous value
    `newValue` - new value

### getPropertyInformations

    public abstract java.util.Collection<PropertyInformation> getPropertyInformations()

  Get the property informations.

  Returns:
    collection of property informations

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD